// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from rc_common_msgs:msg/ReturnCodeConstants.idl
// generated code does not contain a copyright notice

#ifndef RC_COMMON_MSGS__MSG__DETAIL__RETURN_CODE_CONSTANTS__STRUCT_H_
#define RC_COMMON_MSGS__MSG__DETAIL__RETURN_CODE_CONSTANTS__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>

// Constants defined in the message

/// Constant 'SUCCESS'.
/**
  * Default success without additional information
 */
enum
{
  rc_common_msgs__msg__ReturnCodeConstants__SUCCESS = 0
};

/// Constant 'INVALID_ARGUMENT'.
/**
  * Reserved error codes (reserved range [-99,-1])
  * An invalid argument was passed with the service request
 */
enum
{
  rc_common_msgs__msg__ReturnCodeConstants__INVALID_ARGUMENT = -1
};

/// Constant 'INTERNAL_ERROR'.
/**
  * Internal error
 */
enum
{
  rc_common_msgs__msg__ReturnCodeConstants__INTERNAL_ERROR = -2
};

/// Constant 'INTERNAL_TIMEOUT'.
/**
  * Timeout in internal computation
 */
enum
{
  rc_common_msgs__msg__ReturnCodeConstants__INTERNAL_TIMEOUT = -3
};

/// Constant 'SENSOR_TIMEOUT'.
/**
  * Timeout while waiting for image data to fulfill a request
 */
enum
{
  rc_common_msgs__msg__ReturnCodeConstants__SENSOR_TIMEOUT = -4
};

/// Constant 'IO_ERROR'.
/**
  * IO error
 */
enum
{
  rc_common_msgs__msg__ReturnCodeConstants__IO_ERROR = -7
};

/// Constant 'NOT_APPLICABLE'.
/**
  * Request not applicable (e.g. in current state)
 */
enum
{
  rc_common_msgs__msg__ReturnCodeConstants__NOT_APPLICABLE = -8
};

/// Constant 'INVALID_LICENSE'.
/**
  * No valid license to fulfill this request
 */
enum
{
  rc_common_msgs__msg__ReturnCodeConstants__INVALID_LICENSE = -9
};

/// Constant 'CAPACITY_EXCEEDED'.
/**
  * capacity exceeded, i.e. new element could not be added
 */
enum
{
  rc_common_msgs__msg__ReturnCodeConstants__CAPACITY_EXCEEDED = -10
};

/// Constant 'TIMEOUT_REACHED'.
/**
  * Reserved non-error codes (reserved range [1,99])
  * timeout in internal computation is reached, but a partial result could still be provided
 */
enum
{
  rc_common_msgs__msg__ReturnCodeConstants__TIMEOUT_REACHED = 3
};

/// Constant 'CAPACITY_REACHED'.
/**
  * max capacity is reached, i.e. list is now full
 */
enum
{
  rc_common_msgs__msg__ReturnCodeConstants__CAPACITY_REACHED = 10
};

/// Constant 'OVERWRITTEN'.
/**
  * existing data/element overwritten
 */
enum
{
  rc_common_msgs__msg__ReturnCodeConstants__OVERWRITTEN = 11
};

/// Constant 'HINTS'.
/**
  * performance/implementation hints for application developers
 */
enum
{
  rc_common_msgs__msg__ReturnCodeConstants__HINTS = 999
};

/// Struct defined in msg/ReturnCodeConstants in the package rc_common_msgs.
/**
  * This message file defines commonly used constants
  * for services' return codes
 */
typedef struct rc_common_msgs__msg__ReturnCodeConstants
{
  uint8_t structure_needs_at_least_one_member;
} rc_common_msgs__msg__ReturnCodeConstants;

// Struct for a sequence of rc_common_msgs__msg__ReturnCodeConstants.
typedef struct rc_common_msgs__msg__ReturnCodeConstants__Sequence
{
  rc_common_msgs__msg__ReturnCodeConstants * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} rc_common_msgs__msg__ReturnCodeConstants__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // RC_COMMON_MSGS__MSG__DETAIL__RETURN_CODE_CONSTANTS__STRUCT_H_
