// generated from rosidl_generator_cpp/resource/idl__struct.hpp.em
// with input from rc_common_msgs:msg/ReturnCodeConstants.idl
// generated code does not contain a copyright notice

#ifndef RC_COMMON_MSGS__MSG__DETAIL__RETURN_CODE_CONSTANTS__STRUCT_HPP_
#define RC_COMMON_MSGS__MSG__DETAIL__RETURN_CODE_CONSTANTS__STRUCT_HPP_

#include <algorithm>
#include <array>
#include <memory>
#include <string>
#include <vector>

#include "rosidl_runtime_cpp/bounded_vector.hpp"
#include "rosidl_runtime_cpp/message_initialization.hpp"


#ifndef _WIN32
# define DEPRECATED__rc_common_msgs__msg__ReturnCodeConstants __attribute__((deprecated))
#else
# define DEPRECATED__rc_common_msgs__msg__ReturnCodeConstants __declspec(deprecated)
#endif

namespace rc_common_msgs
{

namespace msg
{

// message struct
template<class ContainerAllocator>
struct ReturnCodeConstants_
{
  using Type = ReturnCodeConstants_<ContainerAllocator>;

  explicit ReturnCodeConstants_(rosidl_runtime_cpp::MessageInitialization _init = rosidl_runtime_cpp::MessageInitialization::ALL)
  {
    if (rosidl_runtime_cpp::MessageInitialization::ALL == _init ||
      rosidl_runtime_cpp::MessageInitialization::ZERO == _init)
    {
      this->structure_needs_at_least_one_member = 0;
    }
  }

  explicit ReturnCodeConstants_(const ContainerAllocator & _alloc, rosidl_runtime_cpp::MessageInitialization _init = rosidl_runtime_cpp::MessageInitialization::ALL)
  {
    (void)_alloc;
    if (rosidl_runtime_cpp::MessageInitialization::ALL == _init ||
      rosidl_runtime_cpp::MessageInitialization::ZERO == _init)
    {
      this->structure_needs_at_least_one_member = 0;
    }
  }

  // field types and members
  using _structure_needs_at_least_one_member_type =
    uint8_t;
  _structure_needs_at_least_one_member_type structure_needs_at_least_one_member;


  // constant declarations
  static constexpr int16_t SUCCESS =
    0;
  static constexpr int16_t INVALID_ARGUMENT =
    -1;
  static constexpr int16_t INTERNAL_ERROR =
    -2;
  static constexpr int16_t INTERNAL_TIMEOUT =
    -3;
  static constexpr int16_t SENSOR_TIMEOUT =
    -4;
  static constexpr int16_t IO_ERROR =
    -7;
  static constexpr int16_t NOT_APPLICABLE =
    -8;
  static constexpr int16_t INVALID_LICENSE =
    -9;
  static constexpr int16_t CAPACITY_EXCEEDED =
    -10;
  static constexpr int16_t TIMEOUT_REACHED =
    3;
  static constexpr int16_t CAPACITY_REACHED =
    10;
  static constexpr int16_t OVERWRITTEN =
    11;
  static constexpr int16_t HINTS =
    999;

  // pointer types
  using RawPtr =
    rc_common_msgs::msg::ReturnCodeConstants_<ContainerAllocator> *;
  using ConstRawPtr =
    const rc_common_msgs::msg::ReturnCodeConstants_<ContainerAllocator> *;
  using SharedPtr =
    std::shared_ptr<rc_common_msgs::msg::ReturnCodeConstants_<ContainerAllocator>>;
  using ConstSharedPtr =
    std::shared_ptr<rc_common_msgs::msg::ReturnCodeConstants_<ContainerAllocator> const>;

  template<typename Deleter = std::default_delete<
      rc_common_msgs::msg::ReturnCodeConstants_<ContainerAllocator>>>
  using UniquePtrWithDeleter =
    std::unique_ptr<rc_common_msgs::msg::ReturnCodeConstants_<ContainerAllocator>, Deleter>;

  using UniquePtr = UniquePtrWithDeleter<>;

  template<typename Deleter = std::default_delete<
      rc_common_msgs::msg::ReturnCodeConstants_<ContainerAllocator>>>
  using ConstUniquePtrWithDeleter =
    std::unique_ptr<rc_common_msgs::msg::ReturnCodeConstants_<ContainerAllocator> const, Deleter>;
  using ConstUniquePtr = ConstUniquePtrWithDeleter<>;

  using WeakPtr =
    std::weak_ptr<rc_common_msgs::msg::ReturnCodeConstants_<ContainerAllocator>>;
  using ConstWeakPtr =
    std::weak_ptr<rc_common_msgs::msg::ReturnCodeConstants_<ContainerAllocator> const>;

  // pointer types similar to ROS 1, use SharedPtr / ConstSharedPtr instead
  // NOTE: Can't use 'using' here because GNU C++ can't parse attributes properly
  typedef DEPRECATED__rc_common_msgs__msg__ReturnCodeConstants
    std::shared_ptr<rc_common_msgs::msg::ReturnCodeConstants_<ContainerAllocator>>
    Ptr;
  typedef DEPRECATED__rc_common_msgs__msg__ReturnCodeConstants
    std::shared_ptr<rc_common_msgs::msg::ReturnCodeConstants_<ContainerAllocator> const>
    ConstPtr;

  // comparison operators
  bool operator==(const ReturnCodeConstants_ & other) const
  {
    if (this->structure_needs_at_least_one_member != other.structure_needs_at_least_one_member) {
      return false;
    }
    return true;
  }
  bool operator!=(const ReturnCodeConstants_ & other) const
  {
    return !this->operator==(other);
  }
};  // struct ReturnCodeConstants_

// alias to use template instance with default allocator
using ReturnCodeConstants =
  rc_common_msgs::msg::ReturnCodeConstants_<std::allocator<void>>;

// constant definitions
#if __cplusplus < 201703L
// static constexpr member variable definitions are only needed in C++14 and below, deprecated in C++17
template<typename ContainerAllocator>
constexpr int16_t ReturnCodeConstants_<ContainerAllocator>::SUCCESS;
#endif  // __cplusplus < 201703L
#if __cplusplus < 201703L
// static constexpr member variable definitions are only needed in C++14 and below, deprecated in C++17
template<typename ContainerAllocator>
constexpr int16_t ReturnCodeConstants_<ContainerAllocator>::INVALID_ARGUMENT;
#endif  // __cplusplus < 201703L
#if __cplusplus < 201703L
// static constexpr member variable definitions are only needed in C++14 and below, deprecated in C++17
template<typename ContainerAllocator>
constexpr int16_t ReturnCodeConstants_<ContainerAllocator>::INTERNAL_ERROR;
#endif  // __cplusplus < 201703L
#if __cplusplus < 201703L
// static constexpr member variable definitions are only needed in C++14 and below, deprecated in C++17
template<typename ContainerAllocator>
constexpr int16_t ReturnCodeConstants_<ContainerAllocator>::INTERNAL_TIMEOUT;
#endif  // __cplusplus < 201703L
#if __cplusplus < 201703L
// static constexpr member variable definitions are only needed in C++14 and below, deprecated in C++17
template<typename ContainerAllocator>
constexpr int16_t ReturnCodeConstants_<ContainerAllocator>::SENSOR_TIMEOUT;
#endif  // __cplusplus < 201703L
#if __cplusplus < 201703L
// static constexpr member variable definitions are only needed in C++14 and below, deprecated in C++17
template<typename ContainerAllocator>
constexpr int16_t ReturnCodeConstants_<ContainerAllocator>::IO_ERROR;
#endif  // __cplusplus < 201703L
#if __cplusplus < 201703L
// static constexpr member variable definitions are only needed in C++14 and below, deprecated in C++17
template<typename ContainerAllocator>
constexpr int16_t ReturnCodeConstants_<ContainerAllocator>::NOT_APPLICABLE;
#endif  // __cplusplus < 201703L
#if __cplusplus < 201703L
// static constexpr member variable definitions are only needed in C++14 and below, deprecated in C++17
template<typename ContainerAllocator>
constexpr int16_t ReturnCodeConstants_<ContainerAllocator>::INVALID_LICENSE;
#endif  // __cplusplus < 201703L
#if __cplusplus < 201703L
// static constexpr member variable definitions are only needed in C++14 and below, deprecated in C++17
template<typename ContainerAllocator>
constexpr int16_t ReturnCodeConstants_<ContainerAllocator>::CAPACITY_EXCEEDED;
#endif  // __cplusplus < 201703L
#if __cplusplus < 201703L
// static constexpr member variable definitions are only needed in C++14 and below, deprecated in C++17
template<typename ContainerAllocator>
constexpr int16_t ReturnCodeConstants_<ContainerAllocator>::TIMEOUT_REACHED;
#endif  // __cplusplus < 201703L
#if __cplusplus < 201703L
// static constexpr member variable definitions are only needed in C++14 and below, deprecated in C++17
template<typename ContainerAllocator>
constexpr int16_t ReturnCodeConstants_<ContainerAllocator>::CAPACITY_REACHED;
#endif  // __cplusplus < 201703L
#if __cplusplus < 201703L
// static constexpr member variable definitions are only needed in C++14 and below, deprecated in C++17
template<typename ContainerAllocator>
constexpr int16_t ReturnCodeConstants_<ContainerAllocator>::OVERWRITTEN;
#endif  // __cplusplus < 201703L
#if __cplusplus < 201703L
// static constexpr member variable definitions are only needed in C++14 and below, deprecated in C++17
template<typename ContainerAllocator>
constexpr int16_t ReturnCodeConstants_<ContainerAllocator>::HINTS;
#endif  // __cplusplus < 201703L

}  // namespace msg

}  // namespace rc_common_msgs

#endif  // RC_COMMON_MSGS__MSG__DETAIL__RETURN_CODE_CONSTANTS__STRUCT_HPP_
